> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Configured Shipping States

> Retrieves all configured shipping states



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json get /commerce/shipping/admin/profiles/{profilecode}/shippingstates
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/shipping/admin/profiles/{profilecode}/shippingstates:
    get:
      tags:
        - ShippingProfile
      summary: Get Configured Shipping States
      description: Retrieves all configured shipping states
      parameters:
        - in: path
          name: profileCode
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ShippingStates'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/ShippingStates'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/ShippingStates'
                type: array
          description: Success
components:
  schemas:
    ShippingStates:
      properties:
        countryCode:
          nullable: true
          type: string
        states:
          items:
            $ref: '#/components/schemas/ShippingAdminState'
          nullable: true
          type: array
          uniqueItems: true
      type: object
    ShippingAdminState:
      properties:
        code:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````